"""project_base URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, re_path
from django.views.generic import RedirectView
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.urls import include, path, re_path

from django.conf.urls import url, include
from . import views

import debug_toolbar


from .views import *

urlpatterns = [
    path('admin/', admin.site.urls),
    url(r'^captcha/',  include('captcha.urls')),
    path('mab/', include('marktplatz.urls')),


    path('login/',                   auth_views.LoginView.as_view(template_name="auth/login.html"), name='mab_login'),
    path('accounts/login/',          auth_views.LoginView.as_view(template_name="auth/login.html"), name='login'),

    path('password_reset/',          auth_views.PasswordResetView.as_view(template_name="auth/password_reset_form.html"), name='mab_password_reset'),
    path('accounts/password_reset/', auth_views.PasswordResetView.as_view(template_name="auth/password_reset_form.html"), name='password_reset'),

    path('logout/',                  auth_views.LogoutView.as_view(template_name="auth/logged_out.html"), name='mab_logout'),
    path('accounts/logout/',         auth_views.LogoutView.as_view(template_name="auth/logged_out.html"), name='logout'),

    path('password_change/',          auth_views.PasswordChangeView.as_view(template_name="auth/password_change_form.html"), name='mab_password_change'),
    path('accounts/password_change/', auth_views.PasswordChangeView.as_view(template_name="auth/password_change_form.html"), name='password_change'),

    path('password_change/done/',          auth_views.PasswordChangeDoneView.as_view(template_name="auth/password_change_done.html"), name='mab_password_change_done'),
    path('accounts/password_change/done/', auth_views.PasswordChangeDoneView.as_view(template_name="auth/password_change_done.html"), name='password_change_done'),

    path('password_reset/done/',          auth_views.PasswordResetDoneView.as_view(template_name="auth/password_reset_done.html"), name='mab_password_reset_done'),
    path('accounts/password_reset/done/', auth_views.PasswordResetDoneView.as_view(template_name="auth/password_reset_done.html"), name='password_reset_done'),

    path('reset/<uidb64>/<token>/',          auth_views.PasswordResetConfirmView.as_view(template_name="auth/password_reset_confirm.html"), name='mab_password_reset_confirm'),
    path('accounts/reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(template_name="auth/password_reset_confirm.html"), name='password_reset_confirm'),

    path('reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name="auth/password_reset_complete.html"), name='mab_password_reset_complete'),
    path('accounts/reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name="auth/password_reset_complete.html"), name='password_reset_complete'),

    #redirects to marktplatz
    path('', RedirectView.as_view(url='/mab/')),

    path('accounts/', include('django.contrib.auth.urls')),
    path('newsletter/', include('newsletter.urls')),
    path('tinymce/', include('tinymce.urls')),
    url(r'^upload/', include('django_file_form.urls')),
    url(r'^handle_upload$', views.handle_upload, name='file_form_handle_upload'),
    path('__debug__/', include(debug_toolbar.urls)),
    #path('resetpwd/', auth_views.PasswordResetForm, name='password_reset'),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

handler404 = 'marktplatz.views.error_404_view'

# Use static() to add url mapping to serve static files during development (only)
from django.conf import settings
from django.conf.urls.static import static

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
